      subroutine initialize(Nx,Ny,x,y,f,xc,delta)
      implicit none
      integer Nx,Ny
      real*8 x(Nx),y(Ny),f(Nx,Ny)
      real*8 xc(*),delta
      
      integer i,j
      real*8 r2
      do j=1,Ny
        do i=1,Nx
          r2 = (x(i)-xc(1))**2 + (y(j)-xc(2))**2
          f(i,j) = exp(-r2/delta**2) 
        enddo
      enddo
      return
      end
      
      subroutine calc_center(time,arm,x0,y0,xc)
      implicit none
      real PI
      parameter (PI=3.1415926535897932385d0)
      real*8 time,arm,x0,y0,xc(*)
      xc(1) = x0 + arm*cos(2.d0*PI*time)
      xc(2) = y0 + arm*sin(2.d0*PI*time)
      return
      end
